Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class FetchConfigurationImpl.ConfigurationState

    java.lang.Object
      org.apache.openjpa.kernel.FetchConfigurationImpl.ConfigurationState

All Implemented Interfaces:
  Serializable

Enclosing class:
  FetchConfigurationImpl

    protected static class FetchConfigurationImpl.ConfigurationState

extends Object
implements Serializable

Configurable state shared throughout a traversal chain.

See Also:
  Serialized Form

Field Summary
`DataCacheRetrieveMode` | `cacheRetrieveMode`
`DataCacheStoreMode` | `cacheStoreMode`
`StoreContext` | `ctx`
`boolean` | `extendedPathLookup`
`int` | `fetchBatchSize`
`boolean` | `fetchGroupContainsAll`
`boolean` | `fetchGroupContainsDefault`
`Set<String>` | `fetchGroups`
`Set<String>` | `fields`
`int` | `flushQuery`
`Map<String,Object>` | `hints`
`int` | `lockScope`
`int` | `lockTimeout`
`int` | `maxFetchDepth`
`boolean` | `queryCache`
`int` | `queryTimeout`
`int` | `readLockLevel`
`Set<Class<?>>` | `rootClasses`
`Set<Object>` | `rootInstances`
`int` | `writeLockLevel`

Constructor Summary
`protected` | `FetchConfigurationImpl.ConfigurationState()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctx

    public transient StoreContext ctx

### fetchBatchSize

    public int fetchBatchSize

### maxFetchDepth

    public int maxFetchDepth

### queryCache

    public boolean queryCache

### flushQuery

    public int flushQuery

### lockTimeout

    public int lockTimeout

### queryTimeout

    public int queryTimeout

### lockScope

    public int lockScope

### readLockLevel

    public int readLockLevel

### writeLockLevel

    public int writeLockLevel

### fetchGroups

    public Set<String> fetchGroups

### fields

    public Set<String> fields

### rootClasses

    public Set<Class<?>> rootClasses

### rootInstances

    public Set<Object> rootInstances

### hints

    public Map<String,Object> hints

### fetchGroupContainsDefault

    public boolean fetchGroupContainsDefault

### fetchGroupContainsAll

    public boolean fetchGroupContainsAll

### extendedPathLookup

    public boolean extendedPathLookup

### cacheRetrieveMode

    public DataCacheRetrieveMode cacheRetrieveMode

### cacheStoreMode

    public DataCacheStoreMode cacheStoreMode

Constructor Detail

### FetchConfigurationImpl.ConfigurationState

    protected FetchConfigurationImpl.ConfigurationState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.